DCMTK - Bug #658

JPEG compression: Implement the OxFF padding as per DICOM Standard
2015-09-04 12:34 - Michael Onken

Status: Closed Start date: 2015-09-04
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library Estimated time: 0:00 hour

Target version:

Module: dcmijpeg, others? Compiler:

Operating System:

Description

Implement the OxFF padding as per DICOM Standard:
http://dicom.nema.org/medical/dicom/current/output/chtml/part05/sect_A.4.html

"All items containing an encoded fragment shall be made of an even number of bytes greater or equal to two. The last fragment of a
frame may be padded, if necessary, to meet the sequence item format requirements of the DICOM Standard.
Note:

® Any necessary padding may be added in the JPEG or JPEG-LS compressed data stream as per ISO 10918-1 and ISO 14495-1
such that the End of Image (EQOI) marker ends on an even byte boundary, or may be appended after the EOI marker, depending
on the implementation.

¢ |ISO 10918-1 and ISO 14495-1 define the ability to add any number of padding bytes FFH before any marker (all of which also
begin with FFH). It is strongly recommended that FFH padding bytes not be added before the Start of Image (SOI) marker.

Thanks to Mathieu Malaterre for the report.

History

#1 - 2015-09-05 14:09 - J6rg Riesmeier

- Module set to decmjpeg, others?

#2 - 2016-11-25 14:36 - Marco Eichelberg

- Assignee set to Marco Eichelberg

#3 - 2017-03-15 18:42 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

Closed by commit ea90014.
